﻿
$ErrorActionPreference = 'Stop';

$OSVersion = [Environment]::OSVersion.Version

if($OSVersion.Major -eq 5 -and $OSVersion.Minor -le 0)
{
     Write-Error "This version of Windows is not supported."      
}
if($OSVersion.Major -lt 5)
{
     Write-Error "This version of Windows is not supported."
}

$Culture = Get-Culture
$CultureLangCode = $Culture.TwoLetterISOLanguageName


$UrIBase = New-Object Byte[] 32
if($CultureLangCode -eq "es")
{
	$LangCode = "es"
	$checksum = "9E322C813B1AC2D27199AD4A81B68852"
	$checksum64 = "8DC0791C1C5635BB62B4140A6013849E"
}
elseif($CultureLangCode -eq "fr")
{
	$LangCode = "fr"
	$checksum = "DAA259A99DFE0CB2B79BADCCBDCBA6A2"
	$checksum64 = "31EE535BDAC862CC9529316F3915C619"
}
elseif($CultureLangCode -eq "de")
{
	$LangCode = "ge"
	$checksum = "C006189D4AF3A3561099049CADF4D7E0"
	$checksum64 = "6F23799C585B378DDAC9CCAF5FED4A02"
}
elseif($CultureLangCode -eq "it")
{
	$LangCode = "it"
	$checksum = "FADE26AEDFC498DC30C4A2A35BEA8561"
	$checksum64 = "A29F5C9A6F886F868A8CC58033FFD7FD"
}
elseif($CultureLangCode -eq "ja")
{
	$LangCode = "jp"
	$checksum = "E773059E4299C4ED614762B104239C71"
	$checksum64 = "744703493E467120AE6555007B56661C"
}
elseif($CultureLangCode -eq "pt")
{
	$LangCode = "pt"
	$checksum = "2BD78F505C9FAE45AA31C1A5EEA28D6B"
	$checksum64 = "DC6E54FAAEC6736BAA20DDC580140636"
}
elseif($CultureLangCode -eq "ru")
{
	$LangCode = "ru"
	$checksum = "CD35C8CF76421DF18D170D5325374C43"
	$checksum64 = "E30FB692DA22191135DA39837945FF08"
}
elseif($CultureLangCode -eq "zh")
{
	$LangCode = "zh"
	$checksum = "A2962AFE8176E4D071A4896141C83DD7"
	$checksum64 = "75E568676A93C0ADEDD16CCC3A0330E7"
}
else
{
	$LangCode = "en"
	$checksum = "FB977B106461663A0CC033397ABA4AD1"
	$checksum64 = "D84C36B4F0C53BF9D2BF8CB99E401EC5"
}

$Version = "17.5.1"
$FileVersion = "1751"
$UrlBase = "76492d1116743f0423413b16050a5345MgB8AFEAbABlAFkALwBSAHkAawAxAGYAOQBxAEMASgA5AEUAZwBEAGEATwBiAEEAPQA9AHwAYwA4ADMAZgA2ADcAOQBhADEAYwBhAGQANQAwAGIANgA3AGQAZgA4AGQANQA3ADMANgBlADYAMQA
yADMAMQA3ADMANAAzADIAMwBkAGUAMQBkADQAMQA2AGQAZAA0ADkANwAzADkAMQA3ADkAYQBhADMAMgBjADQAYgBiAGQANwBiADkANAAwAGMAMQBjADQAZAA2ADMAOABiADUAZgA3ADkAOQAzADYAZgBjADEAMQBjAGEAMAAwADcAMAA3ADIANABmADgAZQ
BjADIANgBkADEANQBiADkAZAAyAGIAMQBmADgAMQBmAGUANgA2ADkAYQAzAGQAZgAwADQANABlAGYAMwBkAGMANgAxADkAMwAxAGUANwBjADQAYwA5ADUAZgA5AGUAZQBjADEANgBmAGYAMQBlADkAMQA3ADAAMgA1AGEANwAxAGIAZAAzADgANwAzADkAY
wBmAGIAOABhAGEANgA5AGMAOQA1ADEAOQA3AGUAZQBlAGUAZgA1ADgA"
$UrlBase64 = "76492d1116743f0423413b16050a5345MgB8AE4AUwA5AHMAbAB4ADYAQgBYADcAeAA3AFEAOABFAFcAcABpAE8AdwBwAFEAPQA9AHwANQA1ADAAZABjAGYAYwA1ADQAYwBkAGQANAA2ADYAZgAwADUAZgBhADYANwAyAGQAZAA0AGUAM
wBiADIAMwA2ADIAOAAzADcAMAA5ADYAMQA2AGMAZAA4AGYAOAAzAGEAOQA5ADcAMgBkADMAYQA5ADQAYgBlADMAZAAzAGEAMQBlAGMANgBmAGMANAA2AGIAYQAwAGYANABkADAAOAAwADMANQBiAGMAYgA0ADQANgAyADYAYgA1AGMAOABmAGIANwAyADkA
YQBlADkANwAyAGIAOAAxADgAZgA3ADAAZABiAGQAYQBkAGYAMQAxAGUANwA4ADgANwA4ADgAYwAzADAAZgBjAGIAOQA0ADQAMQBkAGEAYwBiADQANABiAGIAYwBlAGUANgA5ADcAMgAyADcAZgA2ADQAZAAzAGIAZAA2AGQAYQAzADgAMQA0ADAAYwAzADc
AZgBlAGYAYwBjADQAYgA4ADgAOQA1ADAAYQBjADkANQBiAGMANgAwADcA"
$UrlBase = ConvertTo-SecureString $UrlBase -Key $UrIBase
$UrlBase64 = ConvertTo-SecureString $UrlBase64 -Key $UrIBase
$BSTR = [System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($UrlBase)
$UrlBase = [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)
$BSTR = [System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($UrlBase64)
$UrlBase64 = [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)
$url = $UrlBase + $FileVersion + "_" + $LangCode + ".exe"
$url64 = $UrlBase64 + $FileVersion + "_" + $LangCode + ".exe"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = '/s'
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'mdaemon*'
  checksum      = $checksum
  checksumType  = 'md5'
  checksum64    = $checksum64
  checksumType64= 'md5'
}

Install-ChocolateyPackage @packageArgs

$osBitness = Get-ProcessorBits

