﻿

$ErrorActionPreference = 'Stop';

$packageName = 'mdaemon'
$softwareName = 'mdaemon*'
$installerType = 'EXE' 

$validExitCodes = @(0, 3010, 1605, 1614, 1641)
if ($installerType -ne 'MSI') {
  $silentArgs = '/s'
  $validExitCodes = @(0)
}

$uninstalled = $false
[array]$key = Get-UninstallRegistryKey -SoftwareName $softwareName

$separator = ".exe "
foreach($item in $key)
{ write-host $item }

if ($key.Count -eq 1) {
  $key | % { 
    $file = "$($_.UninstallString)"
	Write-Debug "Get-UninstallRegistryKey returned $file"
	
	$filea,$fileb = $file -Split $separator
	$file = $filea + $separator
	
	$silentArgs = $silentArgs + " " + $fileb 
	
	Write-Debug "After parsing file is set to $file"
	Write-Debug "After parsing silentArgs is set to $silentArgs"

    if ($installerType -eq 'MSI') {
      $silentArgs = "$($_.PSChildName) $silentArgs"

      $file = ''
    }

    Uninstall-ChocolateyPackage -PackageName $packageName `
                                -FileType $installerType `
                                -SilentArgs "$silentArgs" `
                                -ValidExitCodes $validExitCodes `
                                -File "$file"
  }
} elseif ($key.Count -eq 0) {
  Write-Warning "$packageName has already been uninstalled by other means."
} elseif ($key.Count -gt 1) {
  Write-Warning "$key.Count matches found!"
  Write-Warning "To prevent accidental data loss, no programs will be uninstalled."
  Write-Warning "Please alert package maintainer the following keys were matched:"
  $key | % {Write-Warning "- $_.DisplayName"}
}



